<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login Card</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/remixicon/2.5.0/remixicon.min.css" rel="stylesheet">
    <style>
        /* Gradient Background Animation */
        @keyframes gradient {
            0% { background: linear-gradient(45deg, #ff6b6b, #f7d794); }
            50% { background: linear-gradient(45deg, #f7d794, #ff6b6b); }
            100% { background: linear-gradient(45deg, #ff6b6b, #f7d794); }
        }
        body {
            animation: gradient 10s ease infinite;
            height: 100vh;
            margin: 0;
            display: flex;
            align-items: center;
            justify-content: center;
            transition: background-color 0.3s;
        }
        .card {
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
            max-width: 800px; /* Increased width */
        }
        .bg-opacity-25 {
            background-color: rgba(255, 255, 255, 0.25);
        }
        .card-img-top {
            object-fit: cover;
        }
        .dark-mode {
            background-color: #121212;
            color: #e0e0e0;
        }
        .dark-mode .card {
            background-color: #1e1e1e;
            color: #e0e0e0;
        }
        .dark-mode .form-control {
            background-color: #333;
            color: #e0e0e0;
            border: 1px solid #444;
        }
        .dark-mode .btn {
            background-color: #333;
            color: #e0e0e0;
        }
        .user-type-label {
            display: inline-block;
            margin-right: 10px;
        }
        /* Gradient Background Animation */
@keyframes gradient {
    0% { background: linear-gradient(45deg, #ff6b6b, #f7d794); }
    50% { background: linear-gradient(45deg, #f7d794, #ff6b6b); }
    100% { background: linear-gradient(45deg, #ff6b6b, #f7d794); }
}

body {
    animation: gradient 10s ease infinite;
    height: 100vh;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative; /* Make sure body has relative positioning for absolute children */
    overflow: hidden;
}

.animated-words {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    overflow: hidden;
    z-index: -1; /* Ensure the words are behind the form */
}

.word {
    position: absolute;
    font-size: 2rem;
    font-weight: bold;
    color: #fff;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
    animation: bounce 6s ease-in-out infinite, colorChange 4s linear infinite;
}

/* Randomize positions */
.word:nth-child(1) { top: 10%; left: 10%; }
.word:nth-child(2) { top: 20%; left: 50%; }
.word:nth-child(3) { top: 40%; left: 70%; }
.word:nth-child(4) { top: 60%; left: 30%; }
.word:nth-child(5) { top: 80%; left: 80%; }
.word:nth-child(6) { top: 30%; left: 20%; }
.word:nth-child(7) { top: 50%; left: 60%; }
.word:nth-child(8) { top: 20%; left: 70%; }

@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-30px);
    }
    60% {
        transform: translateY(-15px);
    }
}

@keyframes colorChange {
    0% { color: #ff6b6b; }
    50% { color: #f7d794; }
    100% { color: #ff6b6b; }
}

    </style>
</head>
<body>
    <div class="container text-center">
        <!-- Dark Mode Toggle -->
        <div class="form-check form-switch position-fixed top-0 end-0 p-3">
            <input class="form-check-input" type="checkbox" id="darkModeSwitch">
            <label class="form-check-label" for="darkModeSwitch">Dark Mode</label>
        </div>

        <div class="card overflow-hidden bg-opacity-25 mx-auto">
    <div class="row g-0">
        <!-- Image container hidden on mobile -->
        <div class="col-lg-6 d-none d-lg-block p-2">
            <img src="../dist/img/padlock.jpg" alt="Login Image" class="img-fluid rounded h-100">
        </div>
        <!-- Form container -->
        <div class="col-lg-6">
            <div class="d-flex flex-column h-100">
                <div class="auth-brand p-4">
                    <a href="index.php" class="logo-light">
                        <img src="../dist/img/dtce.png" alt="logo" height="22">
                    </a>
                    <!-- Optional dark logo -->
                    <!-- <a href="index.php" class="logo-dark">
                        <img src="../dist/img/dtce.png" alt="dark logo" height="22">
                    </a> -->
                </div>
                <div class="p-4 my-auto">
                    <h4 class="fs-20">Login</h4>
                    <p class="text-muted mb-3 text-sm-start">Enter your credentials to log in to your account.</p>

                    <!-- Login form -->
                    <form action="auth-login2.php" method="POST">
                        <div class="mb-3 text-sm-start">
                            <label for="userType" class="form-label">Select Your Role</label>
                            <div class="d-flex flex-wrap">
                                <div class="form-check user-type-label">
                                    <input class="form-check-input" type="radio" name="user_type" id="superAdmin" value="Super Admin" required>
                                    <label class="form-check-label" for="superAdmin">Super Admin</label>
                                </div>
                                <!-- <div class="form-check user-type-label">
                                    <input class="form-check-input" type="radio" name="user_type" id="regionalCoordinator" value="Regional Coordinator">
                                    <label class="form-check-label" for="regionalCoordinator">Regional Coord.</label>
                                </div> -->
                                <div class="form-check user-type-label">
                                    <input class="form-check-input" type="radio" name="user_type" id="admin" value="Admin">
                                    <label class="form-check-label" for="admin">Admin</label>
                                </div>
                            </div>
                        </div>

                        <div class="mb-3 text-sm-start">
                            <label for="username" class="form-label">Email or Phone Number</label>
                            <input class="form-control" type="text" name="username" id="username" required placeholder="Enter your email or phone number">
                        </div>

                        <div class="mb-3 text-sm-start">
                            <a href="auth-forgotpw.php" class="text-muted float-end"><small>Forgot your password?</small></a>
                            <label for="password" class="form-label">Password</label>
                            <input class="form-control" type="password" id="password" name="password" placeholder="Enter your password">
                        </div>
                        <div class="form-check form-switch text-sm-start">
                            <input type="checkbox" id="showPasswordCheckbox" onclick="togglePassword()" class="form-check-input">
                            <label for="showPasswordCheckbox" class="mb-3 form-check-label">Show Password</label>
                        </div>
                        <div class="mb-3">
                            <div class="form-check text-sm-start">
                                <input type="checkbox" class="form-check-input" id="remember-me" name="remember_me">
                                <label class="form-check-label" for="remember-me">Remember me</label>
                            </div>
                        </div>
                        <div class="mb-0 text-start">
                            <button class="btn btn-soft-primary w-100" type="submit" name="login">
                                <i class="ri-login-circle-fill me-1"></i> <span class="fw-bold">Log In</span>
                            </button>
                        </div>
                        <div class="text-center mt-4">
                            <p class="text-muted fs-16">Sign in with</p>
                            <div class="d-flex gap-2 justify-content-center mt-3">
                                <a href="#" class="btn btn-soft-primary"><i class="ri-facebook-circle-fill"></i></a>
                                <a href="#" class="btn btn-soft-primary"><i class="ri-whatsapp-fill"></i></a>
                                <a href="#" class="btn btn-soft-info"><i class="ri-twitter-fill"></i></a>
                                <a href="#" class="btn btn-soft-danger"><i class="ri-instagram-fill"></i></a>
                            </div>
                        </div>
                    </form>
                    <!-- end form -->
                </div>
            </div>
        </div> <!-- end col -->
    </div>
</div>

<div class="row mt-4">
    <div class="col-12 text-center">
        <p class="text-dark-emphasis">Don't have an account? <a href="auth-register.php" class="text-dark fw-bold ms-1 link-offset-3 text-decoration-underline"><b>Sign up</b></a></p>
    </div> <!-- end col -->
</div>
<!-- end row -->

<!-- Animated Words -->
<!-- <div class="animated-words">
    <span class="word">RCCG DTCE</span>
    <span class="word">JUNIOR CHURCH</span>
    <span class="word">ADMIN PORTAL</span>
    <span class="word">JESUS IS LORD</span>
    <span class="word">TEENS</span>
    <span class="word">CHILDREN</span>
    <span class="word">TEACHERS</span>
    <span class="word">JESUS IS LORD</span>
    <span class="word">JESUS IS LORD</span>
   
</div> -->

    <script>
        function togglePassword() {
            var passwordInput = document.getElementById('password');
            var showPasswordCheckbox = document.getElementById('showPasswordCheckbox');
            if (showPasswordCheckbox.checked) {
                passwordInput.type = 'text';
            } else {
                passwordInput.type = 'password';
            }
        }

        // Dark mode toggle
        document.getElementById('darkModeSwitch').addEventListener('change', function() {
            document.body.classList.toggle('dark-mode', this.checked);
        });
    </script>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
