<?php
require_once("conn.php");

function createTable($tableName, $columns) {
    global $conn;

    $columnsSql = [];
    foreach ($columns as $column => $type) {
        $columnsSql[] = "$column $type";
    }
    $columnsSqlString = implode(", ", $columnsSql);
    $sql = "CREATE TABLE $tableName ($columnsSqlString)";

    try {
        $conn->exec($sql);
        echo "<script>alert('Table $tableName created successfully.<br>'); window.location.href='admin.php';</script>";
        
    } catch (PDOException $e) {
        echo "Error creating table $tableName: " . $e->getMessage() . "<br>";
    }
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $tableName = htmlspecialchars(trim($_POST['table_name']));
    $columnsInput = htmlspecialchars(trim($_POST['columns']));
    
    $columns = [];
    $columnsArray = explode(',', $columnsInput);
    foreach ($columnsArray as $column) {
        list($name, $type) = explode(':', $column);
        $columns[trim($name)] = trim($type);
    }

    createTable($tableName, $columns);
}
?>
