<?php
include 'connection.php'; // Ensure $conn is set

if (isset($_POST['region']) && !empty($_POST['region'])) {
    $regionId = intval($_POST['region']);

    try {
        // Query that returns the province column (and you can omit the id if you don't need it)
        $stmt = $conn->prepare("SELECT province FROM province WHERE region = :regionId ORDER BY province ASC");
        $stmt->bindParam(':regionId', $regionId, PDO::PARAM_INT);
        $stmt->execute();

        $options = '<option value="">--Select Province--</option>';
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
            // Use the province text as the value.
            $options .= '<option value="' . htmlspecialchars($row['province']) . '">' . htmlspecialchars($row['province']) . '</option>';
        }
        echo $options;
    } catch (PDOException $e) {
        echo '<option value="">Error: ' . $e->getMessage() . '</option>';
    }
} else {
    echo '<option value="">--Select Province--</option>';
}
?>
