<?php
session_start();
include '../conn.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['action']) && $_POST['action'] === 'update_zones') {
    $zone = $_POST['zone'];
    $regions = $_POST['regions']; // Expecting an array of regions (numeric & text)

    if (!empty($zone) && !empty($regions) && is_array($regions)) {
        try {
            $updatedProvinces = [];

            foreach ($regions as $region) {
                // Update province table with the selected zone for the given region
                $stmt = $conn->prepare("UPDATE province SET zone = :zone WHERE region = :region");
                $stmt->bindParam(':zone', $zone, PDO::PARAM_STR);
                $stmt->bindParam(':region', $region, PDO::PARAM_STR); // Changed to PDO::PARAM_STR to allow text-based regions
                $stmt->execute();

                // Fetch updated provinces
                $stmtFetch = $conn->prepare("SELECT province, password FROM province WHERE region = :region");
                $stmtFetch->bindParam(':region', $region, PDO::PARAM_STR); // Ensure correct binding for text values
                $stmtFetch->execute();
                $updatedProvinces = array_merge($updatedProvinces, $stmtFetch->fetchAll(PDO::FETCH_ASSOC));
            }

            echo json_encode(['success' => true, 'updated' => $updatedProvinces]);

        } catch (PDOException $e) {
            echo json_encode(['success' => false, 'message' => 'Error updating provinces: ' . $e->getMessage()]);
        }
    } else {
        echo json_encode(['success' => false, 'message' => 'Invalid zone or regions.']);
    }
} else {
    echo json_encode(['success' => false, 'message' => 'Invalid request.']);
}
?>
