<?php
session_start();
require_once ('conn.php');
if (isset($_SESSION['agent'])) {
    header('location: dashboard/index.php?show=successfully logged in');
}
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Payment Approval | Login</title>
    <link rel="shortcut icon" type="image/x-icon" href="images/icon2.png">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">

    <style>
        body {
            background: linear-gradient(-45deg, #1d3557, #457b9d, #a8dadc, #f1faee);
            background-size: 400% 400%;
            animation: gradientBG 8s ease infinite;
            height: 100vh;
            display: flex;
            justify-content: center;
            align-items: center;
            position: relative;
            transition: background 0.5s, color 0.5s;
        }

        @keyframes gradientBG {
            0% { background-position: 0% 50%; }
            50% { background-position: 100% 50%; }
            100% { background-position: 0% 50%; }
        }

        .dark-mode {
            background: #121212;
            color: #f1f1f1;
        }

        .login-container {
            max-width: 400px;
            width: 100%;
            background: rgba(255, 255, 255, 0.9);
            padding: 30px;
            border-radius: 12px;
            box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
            position: relative;
            z-index: 1;
            transition: background 0.5s, color 0.5s;
        }

        .dark-mode .login-container {
            background: #222;
            color: #fff;
        }

        .btn-primary { background-color: #007cc0; border: none; }
        .btn-primary:hover { background-color: #005a8c; }
        .form-control:focus { border-color: #007cc0; box-shadow: none; }
        .password-toggle { cursor: pointer; }

        .toggle-dark-mode {
            position: absolute;
            top: 20px;
            right: 20px;
            cursor: pointer;
            font-size: 20px;
        }
                /* Footer Styling */
                .footer {
            position: absolute;
            bottom: 10px;
            width: 100%;
            text-align: center;
            color: white;
            font-size: 14px;
        }
    </style>
</head>
<body>
    <i class="fas fa-moon toggle-dark-mode" onclick="toggleDarkMode()"></i>
    
    <div class="login-container">
        <div class="text-center">
            <img src="images/dtce.png" alt="DTCE LOGO" width="100" class="mb-3">
        </div>

        <h4 class="text-center mb-3">Payment Approval - Login</h4>
        <p class="text-center text-muted">Ask the Admin for your login password</p>

        <form method="POST" action="login3.php">
            <div class="mb-3">
                <label class="form-label"> ID Number</label>
                <div class="input-group">
                    <span class="input-group-text"><i class="fas fa-user"></i></span>
                    <input type="text" class="form-control" name="idnumber" placeholder="Enter ID Number" required autocomplete="off">
                </div>
            </div>

            <div class="mb-3">
                <label class="form-label">Password</label>
                <div class="input-group">
                    <span class="input-group-text"><i class="fas fa-lock"></i></span>
                    <input type="password" class="form-control" id="password" name="password" placeholder="Enter Password" required autocomplete="new-password">
                    <span class="input-group-text password-toggle" onclick="togglePassword()">
                        <i class="fas fa-eye" id="eyeIcon"></i>
                    </span>
                </div>
            </div>

            <div class="d-grid">
                <button type="submit" name="login" class="btn btn-primary">Log In</button>
            </div>
        </form>
        <div class="text-center mt-3">
        <a href="#" class="text-decoration-none">Contact Super Admin</a> |
        <a href="#" class="text-decoration-none">Need Help?</a>
    </div>
    </div>


<!-- Footer -->
<div class="footer">
    &copy; <?php echo date("Y"); ?> PAYMENT AND REGISTRATION AGENT LOGIN. <br>
    <strong>Designed by Hi-Dev Solutions</strong>
</div>
    

    
    <!-- Bootstrap & FontAwesome -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script>
        function togglePassword() {
            var password = document.getElementById("password");
            var eyeIcon = document.getElementById("eyeIcon");
            if (password.type === "password") {
                password.type = "text";
                eyeIcon.classList.remove("fa-eye");
                eyeIcon.classList.add("fa-eye-slash");
            } else {
                password.type = "password";
                eyeIcon.classList.remove("fa-eye-slash");
                eyeIcon.classList.add("fa-eye");
            }
        }

        function toggleDarkMode() {
            document.body.classList.toggle("dark-mode");
            localStorage.setItem("darkMode", document.body.classList.contains("dark-mode") ? "enabled" : "disabled");
        }

        (function () {
            if (localStorage.getItem("darkMode") === "enabled") {
                document.body.classList.add("dark-mode");
            }
        })();
    </script>
</body>
</html>
