<?php
session_start();
include("conn.php");

error_reporting(0);

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if (!isset($_POST['rrr']) || !isset($_POST['action'])) {
        echo json_encode(["success" => false, "message" => "Missing parameters"]);
        exit;
    }

    $rrr = $_POST['rrr'];
    $action = $_POST['action'];

    $check = $conn->prepare("SELECT * FROM bank WHERE rrr = ?");
    $check->execute([$rrr]);
    $row = $check->fetch(PDO::FETCH_ASSOC);

    if (!$row) {
        echo json_encode(["success" => false, "message" => "RRR not found in database"]);
        exit;
    }

    if ($action == "approve") {
        $approved_by = $_POST['approved_by'] ?? "";
        $sql = "UPDATE bank SET status='Approved', approved_by=? WHERE rrr=?";
        $stmt = $conn->prepare($sql);
        $stmt->execute([$approved_by, $rrr]);
        echo json_encode(["success" => true, "message" => "Payment Approved", "approved_by" => $approved_by]);
    } elseif ($action == "revert") {
        $sql = "UPDATE bank SET status='Pending', approved_by=NULL WHERE rrr=?";
        $stmt = $conn->prepare($sql);
        $stmt->execute([$rrr]);
        echo json_encode(["success" => true, "message" => "Payment reverted to Pending"]);
    }
}

?>
