<?php
session_start();

include 'conn.php'; // Include your database connection

// Check if the session 'pro' is set, if not redirect to login page
if (!isset($_SESSION['reg']) || !isset($_SESSION['pro']) || !isset($_SESSION['zone'])) {
    // Redirect to the login page if not logged in
    header("Location: index.php"); // Change to your login page URL
    exit();
}


?>




<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RCCG DTCE | Bank Payment Details</title>
    
    <!-- Dependencies -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <link rel="stylesheet" href="plugins/password-requirement/css/jquery.passwordRequirements.css">
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <link rel="stylesheet" href="cookies/cookieconsent.css">
    <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <link rel="stylesheet" href="dist/css/custom.css">
    <link rel="stylesheet" href="dist/css/login_style.css">
    <link rel="stylesheet" href="assets/css/mystyle.css">
    <link rel="stylesheet" href="dist/css/animate.min.css">
    <link href="plugins/intl-tel-input-17.0.0/build/css/intlTelInput.min.css" rel="stylesheet" type="text/css" />
    <link rel="shortcut icon" href="dist/img/icon2.png" type="image/x-icon">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-icons/1.8.1/font/bootstrap-icons.min.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<!-- AdminLTE -->
<script src="https://cdn.jsdelivr.net/npm/admin-lte@3.2/dist/js/adminlte.min.js"></script>

    <style>
    /* Ensure consistent input field appearance */
    .form-select,
    .form-control {
        width: 100%;
        padding: 10px;
        font-size: 1rem;
        line-height: 1.5;
        border: 1px solid #ced4da;
        border-radius: 0.25rem;
        transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    }

    /* Align the Other Banks field */
    #otherBanksField {
        margin-left: 0; /* Ensure no unintended margin */
    }
   /* Main theme Default light mode (bootstrap defaults) */
   body {
            background-color: #ffffff;
            color: #000000;
            transition: background-color 0.3s, color 0.3s;
        }

        
        a {
            color:rgb(12, 12, 12);
        }

        a:hover {
            color: #0056b3;
        }

        /* Dark Mode - Links */
.dark-mode .strip_2 a {
    color: rgb(241, 239, 239) !important; /* Light color for better contrast */
    text-decoration: none; /* Optional: Removes underline for a cleaner look */
}

/* Dark Mode - Links on Hover */
.dark-mode .strip_2 a:hover {
    color: #4a90e2 !important; /* A softer blue for better readability */
    text-decoration: underline; /* Optional: Adds underline on hover */
}


        .light-mode .province-initials {
            background-color: #007bff !important;
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .light-mode .alert,
        .dropdown-menu,
        .dropdown-menu-lg,
        .dropdown-menu-right,
        .dropdown-item {
            background-color: white !important;
            color: black !important;
            border-color: #444 !important;
        }

        /* Dark Mode */
        .dark-mode {
            background-color: #121212 !important;
            color: #ffffff !important;
        }

        /* Dark mode for links */
        .dark-mode a {
            color: rgb(247, 249, 252) !important;
        }

        .dark-mode a:hover {
            color: rgb(243, 248, 253) !important;
        }

        /* Dark mode for navigation bar */
        .dark-mode .navbar {
            background-color: #1e1e1e !important;
            border-bottom: 1px solid #333 !important;
        }

        .dark-mode .navbar a {
            color: white !important;
        }

        .dark-mode .navbar a:hover {
            color: #ccc !important;
        }

        /* Dark mode for buttons */
        .dark-mode .btn {
            background-color: #333 !important;
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .dark-mode .btn:hover {
            background-color: white !important;
        }

        /* Specific button colors in dark mode */
        .dark-mode .btn-primary {
            background-color: rgb(0, 3, 7) !important;
            color: white !important;
        }

        .dark-mode .btn-success {
            background-color: rgb(1, 12, 3) !important;
            color: white !important;
        }

        .dark-mode .btn-danger {
            background-color: rgb(8, 0, 1) !important;
            color: white !important;
        }

        .dark-mode .btn-warning {
            background-color: rgb(2, 1, 0) !important;
            color: white !important;
        }

        .dark-mode .btn-info {
            background-color: rgb(0, 7, 8) !important;
            color: white !important;
        }

        /* Dark mode for tables */
        .dark-mode table {
            background-color: #1e1e1e !important;
            color: white !important;
        }

        .dark-mode thead {
            background-color: #333 !important;
        }

        .dark-mode tbody tr {
            background-color: #2c2c2c !important;
        }

        .dark-mode tbody tr:hover {
            background-color: #3a3a3a !important;
        }

        /* Dark mode for form fields */
        .dark-mode input,
        .dark-mode select,
        .dark-mode textarea {
            background-color: #222 !important;
            color: white !important;
            border: 1px solid white !important;
        }

        .dark-mode input::placeholder,
        .dark-mode textarea::placeholder {
            color: #bbb !important;
        }

        /* Dark mode for modals */
        .dark-mode .modal-content {
            background-color: #1e1e1e !important;
            color: white !important;
        }

        .dark-mode .modal-header {
            border-bottom: 1px solid #333 !important;
        }

        .dark-mode .modal-footer {
            border-top: 1px solid #333 !important;
        }

        /* Dark mode for sidebar (if applicable) */
        .dark-mode .sidebar {
            background-color: #1e1e1e !important;
        }

        .dark-mode .sidebar a {
            color: white !important;
        }

        .dark-mode .sidebar a:hover {
            color: #ccc !important;
        }

        /* Dark mode for alerts */
        .dark-mode .alert,
        .dropdown-menu,
        .dropdown-menu-lg,
        .dropdown-menu-right,
        .dropdown-item {
            background-color: #333 !important;
            color: white !important;
            border-color: #444 !important;
        }


        /* Default (Light Mode) */
        .alert,
        .dropdown-menu,
        .dropdown-menu-lg,
        .dropdown-menu-right,
        .dropdown-item {
            background-color: #ffffff !important;
            /* Light background */
            color: #000000 !important;
            /* Dark text */
            border-color: #ddd !important;
            /* Light border */
        }

        /* Hover effect in light mode */
        .dropdown-item:hover {
            background-color: #f8f9fa !important;
            color: #000000 !important;
        }

        /* Dark Mode */
        .dark-mode .alert,
        .dark-mode .dropdown-menu,
        .dark-mode .dropdown-menu-lg,
        .dark-mode .dropdown-menu-right,
        .dark-mode .dropdown-item {
            background-color: #222 !important;
            /* Dark background */
            color: #ffffff !important;
            /* Light text */
            border-color: #444 !important;
            /* Dark border */
        }

        /* Hover effect in dark mode */
        .dark-mode .dropdown-item:hover {
            background-color: #333 !important;
            color: #ffffff !important;
        }

        /* Light Mode */
        .toast-body,
        .toast-header {
            background-color: #ffffff !important;
            /* White background */
            color: #000000 !important;
            /* Black text */
            border-color: #ddd !important;
            /* Light grey border */
        }
/* Light Mode - Paragraph Specific */


/* Light Mode - Paragraph on Blue Background */
.sidebar-dark-primary p,
.main-sidebar p {
    color: white !important; /* White text on blue backgrounds */
} 

.sidebar-dark-primary .fa,
.main-sidebar .fa {
    color: white !important; /* White text on blue backgrounds */
} 
        /* Light Mode (Default) */
        
        p,
        h1,
        h2,
        h3,
        h4,
        h5,
        h6,
        .card-title,
        .text-dark,
        .text-secondary,
        .text-muted,
        .text-primary {
            color:rgb(12, 0, 0) !important;
            /* Default dark text */
        }


        .fa {
            color:white;
        }
        /* Dark Mode Styles */
        .dark-mode {
            background-color: #121212 !important;
            /* Dark background */
            color: #ffffff !important;
            /* Light text */
        }

        /* Dark Mode Text Colors */
        .dark-mode .fa,
        .dark-mode p,
        .dark-mode h1,
        .dark-mode h2,
        .dark-mode h3,
        .dark-mode h4,
        .dark-mode h5,
        .dark-mode h6,
        .dark-mode .card-title,
        .dark-mode .text-dark,
        .dark-mode .text-secondary,
        .dark-mode .text-muted,
        .dark-mode .text-primary {
            color: #ffffff !important;
            /* White text in dark mode */
        }
        
        .dark-mode .strip-wrapper{
            background-color:none;
            color:black;
        }
        
    
      .strip_2,.strip-wrapper{
            background-color:none;
            color: black;
        }
        

        .card-title,
         .text-dark,
         .text-secondary,
         .text-muted,
         .text-primary {
            color:rgb(7, 6, 6) !important;
            /* White text in dark mode */
        }


        /* Adjust Specific Text Colors in Dark Mode */
        .dark-mode .text-muted {
            color: #b0b0b0 !important;
            /* Slightly gray for muted text */
        }

        .dark-mode .text-primary {
            color:rgb(237, 241, 245) !important;
            /* Lighter blue for better contrast */
        }

        .dark-mode .text-secondary {
            color: #adb5bd !important;
            /* Light grayish text */
        }

        /* Dark Mode Background for Cards & Containers */
        .dark-mode .card,
        .dark-mode .modal-content,
        .dark-mode .dropdown-menu,
        .dark-mode .toast-body,
        .dark-mode .toast-header {
            background-color: #222 !important;
            color: white !important;
            border-color: #444 !important;
        }

        /* Dark Mode FA Icons */
        .dark-mode .fa {
            color: #ffffff !important;
            /* White icons in dark mode */
        }

        /* Dark Mode Specific Icons */
        .dark-mode .fa-calendar {
            color:rgb(236, 235, 229) !important;
            /* Yellow */
        }
        .fa-calendar {
            color:#007bff !important;
            /* Yellow */
        }

        .dark-mode .fa-user {
            color:rgb(242, 247, 248) !important;
            /* Bootstrap info blue */
        }

        .dark-mode .fa-cog, .fa-clock  {
            color: #f8f9fa !important;
            /* Light gray */
        }
         .fa-cog, .fa-clock, .fa-user  {
            color:rgb(1, 5, 10) !important;
            /* Light gray */
        }

        /* Dark Mode Buttons */
        .dark-mode .btn {
            background-color: #333 !important;
            color: #ffffff !important;
            border: 1px solid #555 !important;
        }

        .dark-mode .btn-primary {
            background-color:rgb(11, 12, 12) !important;
            border-color:rgb(8, 8, 8) !important;
        }

        .dark-mode .btn-secondary {
            background-color: #6c757d !important;
            border-color: #6c757d !important;
        }

        /* Hover Effects */
        .dark-mode .btn:hover {
            background-color: #444 !important;
        }

        .dark-mode .btn-primary:hover {
            background-color:rgb(17, 17, 19) !important;
        }

        .dark-mode .btn-secondary:hover {
            background-color: #5a6268 !important;
        }



        /* Toast header specific styling */
        .toast-header {
            font-weight: bold;
            border-bottom: 1px solid #ddd !important;
        }

        /* Dark Mode */
        .dark-mode .toast-body,
        .dark-mode .toast-header {
            background-color: #222 !important;
            /* Dark background */
            color: #ffffff !important;
            /* White text */
            border-color: #444 !important;
            /* Dark grey border */
        }
        
         /* Light Mode - Toast Styling */
.toast-body,
.toast-header {
    background-color: white !important; /* White background */
    color: rgb(15, 15, 15) !important; /* Dark text */
    border-color: #ddd !important; /* Light grey border */
}

/* Light Mode - Toast Header */
.toast-header {
    font-weight: bold;
    border-bottom: 1px solid #ccc !important; /* Light grey separator */
}

        /* Toast header specific styling */
        .dark-mode .toast-header {
            font-weight: bold;
            border-bottom: 1px solid #444 !important;
        }
        


        /* Dark mode for card components */
        .dark-mode .card {
            background-color: #222 !important;
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .dark-mode .card-header {
            background-color: #1e1e1e !important;
        }

        /* Toggle Button Fix */
        .dark-mode #theme-toggle {
            /* background-color: #222 !important; */
            color: white !important;
            /* border: 1px solid white !important; */
        }

        .dark-mode .badge-danger,
        .province-initials {
            background-color: white !important;
            color: black !important;
            /* border: 1px solid white !important; */
        }

</style>
</head>
<body class="hold-transition sidebar-mini layout-fixed">
<div class="wrapper">
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand-lg navbar-light">
        <div class="container-fluid">
            <!-- Navbar Toggler for Mobile -->
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <!-- Left Navbar Links -->
            <a href="#" class="navbar-brand">
                <img src="./dist/img/dtce.png" alt="Logo" style="height: 40px;">
            </a>

            <?php
            include 'conn.php';
            $province_name = $_SESSION['pro']; // Get the province name from the session

            // Fetch the count of unread notifications for this province
            $stmt = $conn->prepare("SELECT COUNT(*) as count FROM notifications WHERE province = :province AND is_read = 0");
            $stmt->bindValue(':province', $province_name);
            $stmt->execute();
            $count = $stmt->fetch(PDO::FETCH_ASSOC)['count'];
            ?>

            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" data-widget="pushmenu" href="#" role="button">
                            <i class="fas fa-bars"></i>
                        </a>
                    </li>
                </ul>

                <!-- Centered Search Form -->
                <form class="form-inline mx-auto">
                    <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                    <button class="btn btn-outline-primary my-2 my-sm-0" type="submit">
                        <i class="fas fa-search"></i>
                    </button>
                </form>

                <!-- Right Navbar Links -->
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item">
                        <a class="nav-link" href="#">
                            <img src="./dist/img/ng3.webp" alt="Flag" style="width: 35px;">
                        </a>
                    </li>

                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="notificationDropdown" role="button"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <i class="fas fa-bell">
                                <span class="badge badge-danger"><?php echo $count; ?></span>
                            </i>
                        </a>
                        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="notificationDropdown"
                            id="notificationList">
                            <!-- Notifications will be loaded here -->
                        </div>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link" href="#" id="theme-toggle">
                            <i id="theme-icon" class="fas fa-sun"></i> <!-- Default icon is sun -->
                        </a>
                    </li>

                    <li class="nav-item dropdown">
                        <a class="nav-link d-flex align-items-center dropdown-toggle" data-toggle="dropdown" href="#">
                            <?php
                            // Extract initials from the province name
                            $province = $_SESSION["pro"];
                            $province_parts = explode(" ", $province);
                            $initials = strtoupper(substr($province_parts[0], 0, 1)) . strtoupper(substr($province_parts[1], 0, 1));
                            $number = isset($province_parts[2]) ? $province_parts[2] : '';

                            // Display the initials and the number
                            echo '<div class="province-initials"
                                style="background-color: #007bff; color: white; width: 45px; height: 45px; border-radius: 50%; display: flex; justify-content: center; align-items: center; margin-right: 10px; font-weight: bold; font-size: 16px;">';
                            echo $initials . ' ' . $number;
                            echo '</div>';
                            ?>

                            <div style="display: flex; flex-direction: column;">
                                <span class="d-none d-md-inline"><?php echo $_SESSION["pro"] ?></span>
                                <small><?php echo $_SESSION["zone"] ?></small>
                            </div>
                        </a>
                        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                            <a href="#" class="dropdown-item"><i class="fas fa-user"></i> My Profile</a>
                            <a href="#" class="dropdown-item"><i class="fas fa-cog"></i> Settings</a>
                            <div class="dropdown-divider"></div>
                            <a href="logout.php" class="dropdown-item"><i class="fas fa-sign-out-alt"></i> Logout</a>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</div>

    <!-- /.navbar -->
    
    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Sidebar -->
        <div class="sidebar">
            <!-- Sidebar user panel -->
            <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                <div class="image">
                    <img src="./dist/img/icon.png"  alt="User Image">
                </div>
                <div class="info">
                    <a href="#" class="d-block">RCCG DTCE</a>
                </div>
            </div>
            
            <!-- Sidebar Menu -->
            <!-- Sidebar Menu -->
            <?php
// Include your database connection file
include 'conn.php';

// Fetch menu items, ordered by the 'order' field
$stmt = $conn->query("SELECT * FROM navbars WHERE status = 'active' ORDER BY `order` ASC");
$menuItems = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>

<!-- Sidebar Menu -->
<nav class="mt-2">
    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
        <?php foreach ($menuItems as $item): ?>
            <li class="nav-item">
                <a href="<?php echo htmlspecialchars($item['link']); ?>" class="nav-link">
                    <i class="nav-icon fas <?php echo htmlspecialchars($item['icon']); ?>"></i>
                    <p style="color: white;"><?php echo htmlspecialchars($item['name']); ?></p>
                </a>
            </li>
        <?php endforeach; ?>
    </ul>
</nav>


            <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
    </aside>
    
    <!-- Content Wrapper -->
    <div class="content-wrapper">
        <!-- Breadcrumb -->
        <div class="breadcrumb-wrapper">
            <ul class="breadcrumb">
                <li class="breadcrumb-item"><a href="../../index.php">HOME</a></li>
                <li class="breadcrumb-item active">Bank Payment Details</li>
            </ul>
        </div>
        
        <?php include("news.php");?>
        <!-- Main content -->
         
        <section class="content">

        <!-- <?php
include 'conn.php';

// Fetch the cover picture
$stmt = $conn->query("SELECT * FROM cover_pic ORDER BY id DESC LIMIT 1");
$coverPic = $stmt->fetch(PDO::FETCH_ASSOC);

$imagePath = $coverPic ? $coverPic['image_path'] : './dist/img/bg-login.jpg'; // Default image if none found
?>

<div class="row">
    <div class="col-sm-12">
        <div class="profile-bg-picture" style="background-image: url('<?php echo htmlspecialchars($imagePath); ?>');">
            <div class="picture-bg-overlay"></div>
        </div>
    </div>
</div> -->

<!-- Place all content here -->

        
<?php
date_default_timezone_set("Africa/Lagos");

if (isset($_POST["checkout-btn"])) {
    $province = $_POST["province"];
    $region = $_POST["region"];
    $mode = $_POST["mode"];
    $zone = $_POST["zone"];
    $money = $_POST["money"];
    $date_of_payment = $_POST["date_of_payment"];
    $ref = $_POST["ref"];
    $cash = $_POST["cash"];
    $bank = strtoupper($_POST["bank"]);
    $email = filter_var($_POST["email"], FILTER_VALIDATE_EMAIL);
    $date = date('M d, Y', time());
    $year = date('Y');
    $name = $_POST["name"];
    $rrr = $_POST["rrr"];
    $phone = $_POST["phone_number"];
    $zone = $_POST["zone"];
    $other_banks = $_POST["other_banks"];
    
    // Check if the record already exists based on RRR
    $ssd = "SELECT * FROM bank WHERE rrr = ?";
    $stmt = $conn->prepare($ssd);
    $stmt->execute([$rrr]);
    $result = $stmt->rowCount();
    
    if ($result > 0) {
        echo '<div class="alert alert-danger alert-dismissible fade show mt-2 mx-auto" style="max-width: 500px;" role="alert">
                <strong>Error:</strong> Record already exists. You will be redirected to the <a href="paymentsuccessful.php" class="alert-link">payment page</a>.
               
            </div>';
        echo '<script>
                setTimeout(function() {
                    window.location.href = "bank2.php";
                }, 3000); // Redirect after 3 seconds
              </script>';
    } else {
        if ($cash == $money) {
            $sql = "INSERT INTO bank (name, email, phone_number, bank, zone, region, province, mode, cash, money, date_of_payment, rrr, other_banks, ref, date, year) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
            $conn->prepare($sql)->execute([$name, $email, $phone, $bank, $zone, $region, $province, $mode, $cash, $money, $date_of_payment, $rrr, $other_banks, $ref, $date, $year]);
            
            // Update the status to "PAID"
            $updateSql = "UPDATE bank SET status = 'Pending' WHERE rrr = ?";
            $conn->prepare($updateSql)->execute([$rrr]);
            
            echo '<div class="alert alert-success alert-dismissible fade show mt-2 mx-auto" style="max-width: 500px;" role="alert">
                <strong>Success:</strong> Your payment details have been recorded successfully. Redirecting to the <a href="paymentsuccessful.php" class="alert-link">payment success page</a>.
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>';
            
            echo '<script>
                    setTimeout(function() {
                        window.location.href = "paymentsuccessful.php";
                    }, 3000); // Redirect after 3 seconds
                  </script>';
        } else {
            if ($cash < $money) {
                echo '<div class="alert alert-warning alert-dismissible fade show mt-2 mx-auto" style="max-width: 500px;" role="alert">
                        <strong>Warning:</strong> The amount paid is less than the amount generated. Please check and <a href="bank.php" class="alert-link">correct the payment details</a>.
                       
                    </div>';
                echo '<script>
                        setTimeout(function() {
                            window.location.href = "bank2.php";
                        }, 3000); // Redirect after 3 seconds
                      </script>';
            } else {
                echo '<div class="alert alert-danger alert-dismissible fade show mt-2 mx-auto" style="max-width: 500px;" role="alert">
                        <strong>Error:</strong> Unable to process your payment. Please check your details and <a href="bank.php" class="alert-link">try again</a>.
                       
                    </div>';
                echo '<script>
                        setTimeout(function() {
                            window.location.href = "bank.php";
                        }, 3000); // Redirect after 3 seconds
                      </script>';
            }
        }
    }
}
?>
<?php


include 'conn.php'; // Include your database connection file

// Check if session variables are set
if (!isset($_SESSION['pro']) || !isset($_SESSION['token'])) {
    echo '<script>alert("Session variables not set. Redirecting to registration page."); window.location.href = "paymentchecker.php";</script>';
    exit();
}

// Retrieve session variables
$province = $_SESSION['pro'];
$password = $_SESSION['token'];

// Database connection is now available through $conn from conn.php

try {
    // Prepare and execute the SQL query
    $sql = "SELECT * FROM registration WHERE province = :province AND password = :password";
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(':province', $province);
    $stmt->bindParam(':password', $password);
    $stmt->execute();

    // Fetch the records
    $records = $stmt->fetchAll(PDO::FETCH_ASSOC);

    if (empty($records)) {
        echo '<script>alert("No records found."); window.location.href = "newregistration.php";</script>';
        exit();
    }

    // Extract details for form population
    $registrationDetails = $records[0]; // Assuming you want the first record, adjust as needed
    $dbname = $registrationDetails['name'];
    $dbemail = $registrationDetails['email'];
    $dbphone_number = $registrationDetails['phone_number'];
    $dbzone = $registrationDetails['zone'];
    $dbregion = $registrationDetails['region'];
    $dbprovince = $registrationDetails['province'];
    $dbamount = $registrationDetails['amount'];
    $dbregistration_id = $registrationDetails['password'];

} catch (PDOException $e) {
    echo "Error: " . $e->getMessage();
}

$conn = null;
?>

<div class="container mt-5">
    <div class="card shadow-lg">
        <div class="card-header bg-primary text-white">
            <h5 class="card-title mb-0">Payment Information</h5>
        </div>
        <div class="card-body">
            <form action="bank2.php" method="post">
                <div class="row mb-3">
                    <div class="col-md-4">
                        <label for="name" class="form-label">Payer's Full Name</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="name" name="name" readonly
                            value="<?php echo htmlspecialchars(strtoupper($dbname)); ?>">
                    </div>
                </div>

                <div class="row mb-3">
                    <div class="col-md-4">
                        <label for="mode" class="form-label">Mode of Payment</label>
                    </div>
                    <div class="col-md-8">
                        <select class="form-select" id="mode" name="mode" required>
                            <option value="">Mode of Payment</option>
                            <option value="Bank Transfer by App">Bank Transfer by App</option>
                            <option value="Bank Transfer by USSD">Bank Transfer by USSD</option>
                            <option value="Bank Deposit through Teller">Bank Deposit through Teller</option>
                        </select>
                    </div>
                </div>

                <div class="row mb-3">
                    <div class="col-md-4">
                        <label for="bank" class="form-label">Bank's Name</label>
                    </div>
                    <div class="col-md-8">
                        <select class="form-select" id="bank" name="bank" required onchange="toggleOtherBanksField()">
                            <option value="First Bank">First Bank</option>
                            <option value="Access Bank">Access Bank</option>
                            <option value="Zenith Bank">Zenith Bank</option>
                            <option value="Stanbic IBTC Bank Nigeria Limited">Stanbic IBTC Bank Nigeria Limited</option>
                            <option value="Guaranty Trust Bank">Guaranty Trust Bank</option>
                            <option value="Ecobank Nigeria">Ecobank Nigeria</option>
                            <option value="Union Bank of Nigeria">Union Bank of Nigeria</option>
                            <option value="Skye Bank">Skye Bank</option>
                            <option value="United Bank for Africa">United Bank for Africa</option>
                            <option value="Wema Bank">Wema Bank</option>
                            <option value="First City Monument Bank">First City Monument Bank</option>
                            <option value="Stanbic IBTC">Stanbic IBTC</option>
                            <option value="Polaris Bank">Polaris Bank</option>
                            <option value="Other Banks">Other Banks</option>
                        </select>
                    </div>
                </div>

                <div class="row mb-3" id="otherBanksField" style="display: none;">
                    <div class="col-md-4">
                        <label for="other_banks" class="form-label">Other Banks</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="other_banks" name="other_banks">
                    </div>
                </div>

                <div class="row mb-3">
    <div class="col-md-4">
        <label for="cash" class="form-label">Amount Paid</label>
    </div>
    <div class="col-md-8">
        <div class="input-group">
            <span class="input-group-text">₦</span>
            <input type="text" class="form-control" id="cash" name="cash" required oninput="formatAmount(this)">
        </div>
    </div>
</div>

<script>
    function formatAmount(input) {
        // Remove any non-numeric characters except for decimal points
        input.value = input.value.replace(/[^0-9.]/g, '');
    }
</script>
                <p class="text-muted">Please submit the <strong>DATE OF PAYMENT</strong> for this transaction</p>

                <div class="row mb-3">
                    <div class="col-md-4">
                        <label for="date_of_payment" class="form-label">Date of Payment</label>
                    </div>
                    <div class="col-md-8">
                        <input type="date" id="date_of_payment" class="form-control" name="date_of_payment" required>
                    </div>
                </div>

                <div class="row mb-3">
    <div class="col-md-4">
        <label for="money" class="form-label">Amount Generated</label>
    </div>
    <div class="col-md-8">
        <div class="input-group">
            <span class="input-group-text">₦</span>
            <input type="text" class="form-control" id="money" name="money" readonly 
                value="<?php echo htmlspecialchars($dbamount); ?>">
        </div>
    </div>
</div>

                <div class="row mb-3">
                    <div class="col-md-4">
                        <label for="ref" class="form-label">Reference No/Teller Number</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="ref" name="ref" required>
                    </div>
                </div>

                <div class="row mb-3">
                    <div class="col-md-4">
                        <label for="rrr" class="form-label">Reference Generated</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="rrr" name="rrr" readonly
                            value="<?php echo htmlspecialchars($dbregistration_id); ?>">
                    </div>
                </div>

                <div class="row mb-3">
                    <div class="col-md-4">
                        <label for="email" class="form-label">Email</label>
                    </div>
                    <div class="col-md-8">
                        <input type="email" class="form-control" id="email" name="email" readonly
                            value="<?php echo htmlspecialchars($dbemail); ?>">
                    </div>
                </div>

                <div class="row mb-3">
                    <div class="col-md-4">
                        <label for="phone_number" class="form-label">Phone Number</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="phone_number" name="phone_number" readonly
                            value="<?php echo htmlspecialchars($dbphone_number); ?>">
                    </div>
                </div>

                <div class="row mb-3">
                    <div class="col-md-4">
                        <label for="zone" class="form-label">Zone Category</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="zone" name="zone" readonly
                            value="<?php echo htmlspecialchars($_SESSION['zone']); ?>">
                    </div>
                </div>

                <div class="row mb-3">
                    <div class="col-md-4">
                        <label for="region" class="form-label">Region</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="region" name="region" readonly
                            value="<?php echo htmlspecialchars($dbregion); ?>">
                    </div>
                </div>

                <div class="row mb-3">
                    <div class="col-md-4">
                        <label for="province" class="form-label">Province</label>
                    </div>
                    <div class="col-md-8">
                        <input type="text" class="form-control" id="province" name="province" readonly
                            value="<?php echo htmlspecialchars($dbprovince); ?>">
                    </div>
                </div>

                <button type="submit" name="checkout-btn" class="btn btn-primary">Submit</button>
            </form>
        </div>
    </div>
</div>

<script>
document.getElementById('bank').addEventListener('change', function () {
    var otherBanksField = document.getElementById('otherBanksField');
    if (this.value === 'Other Banks') {
        otherBanksField.style.display = 'block';
    } else {
        otherBanksField.style.display = 'none';
    }
});
</script>
</div>

<?php
include 'conn.php'; // Make sure this file contains your database connection

// Fetch the modal content from the database
$stmt = $conn->query("SELECT message FROM modal_content ORDER BY id DESC LIMIT 1");
$modalContent = $stmt->fetch(PDO::FETCH_ASSOC);
$message = $modalContent['message'];
?>

<!-- Modal HTML -->
<div id="announcementModal" class="modal">
    <div class="modal-content">
        <span class="close-btn" onclick="closeModal()">&times;</span>
        <h2>🎉 Welcome to the New Convention Portal! 🎉</h2>
        <p>
            <?php echo $message; ?>
        </p>
    </div>
</div>
<!-- Toast Container -->
<div class="toast-container" style="position: absolute; top: 20px; right: 20px;">
    <!-- Toast HTML -->
    <div class="toast" id="myToast" role="alert" aria-live="assertive" aria-atomic="true" data-delay="3000">
        <div class="toast-header">
            <strong class="mr-auto">Welcome Message</strong>
            <small class="text-muted">just now</small>
            <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
        <div class="toast-body" id="toastBody">
            <p>Welcome back, <?php echo htmlspecialchars($_SESSION['pro'], ENT_QUOTES, 'UTF-8'); ?>! We are glad to have you here.</p>
        </div>
    </div>
</div>


    <!-- /.content-wrapper -->
    
    <!-- Footer -->
    <?php
include 'conn.php'; // Ensure this file contains your database connection

// Fetch footer content from the footer table
$stmt = $conn->query("SELECT * FROM footer ORDER BY id DESC LIMIT 1");
$footer = $stmt->fetch(PDO::FETCH_ASSOC);
$copyrightMessage = $footer['copyright_message'] ?? '&copy; ' . date('Y') . ' Directorate of Teens and Children Education.';
$eventInfo = $footer['event_info'] ?? 'CO-ORDINATOR\'S EVENT REGISTRATION PORTAL v.1.0.0';
?>
<footer class="main-footer text-sm">
    <div class="text-xs" id="copyright">
        <?php echo $copyrightMessage; ?>
        <div class="float-right d-none d-sm-inline-block">
            <b><?php echo $eventInfo; ?></b>
        </div>
    </div>
</footer>

<!-- ./wrapper -->
    
<script>
    // Function to show the toast
    function showToast() {
        const toast = document.getElementById('myToast');
        $(toast).toast('show'); // Manually trigger the toast
    }

    // Function to hide the toast and store it in localStorage
    function hideToast() {
        localStorage.setItem('toastShown', 'true'); // Store in localStorage
    }

    // Auto-trigger the toast on page load if it has not been shown before
    window.onload = function() {
        if (!localStorage.getItem('toastShown')) {
            showToast();
        }
    };

    // Event listener to detect when toast is closed
    document.addEventListener('DOMContentLoaded', function () {
        const toast = document.getElementById('myToast');
        $(toast).on('hidden.bs.toast', function () {
            hideToast();
        });
    });
</script>


<script>
    document.addEventListener("DOMContentLoaded", function() {
    // Check if the modal has been closed previously
    if (!localStorage.getItem("modalClosed")) {
        // Show the modal if not closed
        document.getElementById("announcementModal").style.display = "block";
    }
});

function closeModal() {
    // Hide the modal
    document.getElementById("announcementModal").style.display = "none";
    // Set a flag in localStorage to indicate that the modal has been closed
    localStorage.setItem("modalClosed", "true");
}

</script>
<script>
    document.addEventListener('DOMContentLoaded', function() {
    const toggle = document.getElementById('theme-toggle');
    const icon = document.getElementById('theme-icon');

    function applyDarkMode() {
        document.body.classList.add('dark-mode');
        document.body.classList.remove('light-mode');
        if (icon) {
            icon.classList.remove('fa-sun');
            icon.classList.add('fa-moon');
        }
        localStorage.setItem('theme', 'dark');
    }

    function applyLightMode() {
        document.body.classList.add('light-mode');
        document.body.classList.remove('dark-mode');
        if (icon) {
            icon.classList.remove('fa-moon');
            icon.classList.add('fa-sun');
        }
        localStorage.setItem('theme', 'light');
    }

    // Check and apply the saved theme
    if (localStorage.getItem('theme') === 'dark') {
        applyDarkMode();
    } else {
        applyLightMode();
    }

    // Toggle event listener
    if (toggle) {
        toggle.addEventListener('click', function() {
            if (document.body.classList.contains('dark-mode')) {
                applyLightMode();
            } else {
                applyDarkMode();
            }
        });
    }
});

</script>
<script>
            $(document).ready(function() {
                $('#notificationDropdown').on('click', function() {
                    $.ajax({
                        url: 'fetch_notifications.php',
                        type: 'GET',
                        data: {
                            province: '<?php echo $_SESSION['pro']; ?>'
                        },
                        dataType: 'json',
                        success: function(data) {
                            console.log('Fetched notifications:', data);
                            let notificationList = $('#notificationList');
                            notificationList.empty();

                            if (data.length === 0) {
                                notificationList.append(
                                    '<div class="dropdown-item">No Notifications</div>');
                            } else {
                                data.forEach(notification => {
                                    let createdDate = new Date(notification.created_at);
                                    let formattedDate = formatDate(createdDate);
                                    let timeAgo = timeSince(createdDate);
                                    let unreadBadge = notification.is_read === 0 ?
                                        '<span class="badge badge-danger">Unread</span>' :
                                        '';

                                    notificationList.append(`
                            <a class="dropdown-item" href="read_notification.php?id=${notification.id}">
                                ${unreadBadge} ${notification.message}
                                <small class="text-muted">${formattedDate} (${timeAgo})</small>
                            </a>
                        `);
                                });
                            }

                            $('.badge-danger').text(data.length);
                        },
                        error: function(xhr, status, error) {
                            console.error('Error loading notifications:', error);
                        }
                    });
                });
            });

            function formatDate(date) {
                const options = {
                    day: 'numeric',
                    month: 'short',
                    year: 'numeric'
                };
                let day = date.getDate();
                let month = date.toLocaleString('default', {
                    month: 'short'
                });
                let suffix = day % 10 === 1 && day !== 11 ? 'st' :
                    day % 10 === 2 && day !== 12 ? 'nd' :
                    day % 10 === 3 && day !== 13 ? 'rd' : 'th';
                return `${day}${suffix} ${month}, ${date.getFullYear()}`;
            }

            function timeSince(date) {
                const seconds = Math.floor((new Date() - date) / 1000);
                let interval = Math.floor(seconds / 31536000);
                if (interval > 1) return interval + " years ago";
                interval = Math.floor(seconds / 2592000);
                if (interval > 1) return interval + " months ago";
                interval = Math.floor(seconds / 86400);
                if (interval > 1) return interval + " days ago";
                interval = Math.floor(seconds / 3600);
                if (interval > 1) return interval + " hours ago";
                interval = Math.floor(seconds / 60);
                if (interval > 1) return interval + " minutes ago";
                return seconds + " seconds ago";
            }
        </script>
        
<script>
    document.getElementById("bank").addEventListener("change", function () {
        var selectedOption = this.options[this.selectedIndex].value;
        var otherBanksField = document.getElementById("otherBanksField");
        
        if (selectedOption === "Other Banks") {
            otherBanksField.style.display = "block";
        } else {
            otherBanksField.style.display = "none";
        }
    });
</script>

<script>
document.addEventListener("DOMContentLoaded", function () {
    const modeSelect = document.getElementById("mode");
    const refInput = document.getElementById("ref");

    modeSelect.addEventListener("change", function () {
        refInput.value = ""; // Clear previous input
        applyPrefix();
    });

    refInput.addEventListener("input", function () {
        enforcePrefix();
        validateReferenceNumber();
    });

    function applyPrefix() {
        const mode = modeSelect.value;
        if (mode === "Bank Transfer by App") {
            refInput.value = "FT";
        } else if (mode === "Bank Transfer by USSD") {
            refInput.value = "NIP";
        } else {
            refInput.value = ""; // Remove prefix for other options
        }
    }

    function enforcePrefix() {
        const mode = modeSelect.value;
        const refValue = refInput.value;

        if (mode === "Bank Transfer by App" && !refValue.startsWith("FT")) {
            refInput.value = "FT" + refValue.replace(/^FT/, ""); 
        } else if (mode === "Bank Transfer by USSD" && !refValue.startsWith("NIP")) {
            refInput.value = "NIP" + refValue.replace(/^NIP/, "");
        }
    }

    function validateReferenceNumber() {
        const mode = modeSelect.value;
        const refValue = refInput.value.trim();
        let regex = null;
        let errorMsg = "";

        if (mode === "Bank Deposit through Teller") {
            regex = /^\d{6,10}$/; 
            errorMsg = "For Bank Deposits, enter a 6 to 10-digit Teller Number.";
        } else if (mode === "Bank Transfer by App") {
            regex = /^FT[A-Za-z0-9]{10,16}$/; 
            errorMsg = "For Bank Transfers via App, enter a 10 to 16-character Reference Number with 'FT' prefix.";
        } else if (mode === "Bank Transfer by USSD") {
            regex = /^NIP[A-Za-z0-9]{10,16}$/;
            errorMsg = "For Bank Transfers via USSD, enter a 10 to 16-character Reference Number with 'NIP' prefix.";
        }

        if (regex && !regex.test(refValue)) {
            refInput.setCustomValidity(errorMsg);
        } else {
            refInput.setCustomValidity("");
        }
    }
});
</script>
<!-- Scripts -->
<script src="plugins/jquery/jquery.min.js"></script>
        <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
        <script src="plugins/intl-tel-input-17.0.0/build/js/intlTelInput.min.js"></script>
        <script src="plugins/sweetalert2/sweetalert2.min.js"></script>
        <script src="plugins/password-requirement/js/jquery.passwordRequirements.min.js"></script>
        <script src="dist/js/adminlte.min.js"></script>
        <script defer src="scripts/cookies/cookieconsent.js"></script>
        <script defer src="scripts/cookies/cookieconsent-init.js"></script>
        <script src="plugins/jquery-validation/jquery.validate.min.js"></script>
        <script src="plugins/jquery-validation/additional-methods.min.js"></script>
        <!-- Include jQuery and Bootstrap JS -->

        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.3/dist/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

        <script src="https://cdn.jsdelivr.net/npm/apexcharts@3.27.3/dist/apexcharts.min.js"></script>




</body>
</html>
