<?php
session_start();
error_reporting(0);
date_default_timezone_set("Africa/Lagos");

include "./conn.php"; // Ensure your connection script is included correctly

// Retrieve session token
$alert = $_SESSION['token'];

try {
    // Fetch data from the database
    $stmt = $conn->prepare("SELECT p2, p2c, zone, region, province FROM registration WHERE password = :password");
    $stmt->bindParam(':password', $alert, PDO::PARAM_STR);
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);

    if (!$row) {
        throw new Exception("No data found for the given token.");
    }

    $p2 = $row['p2'];
    $p2c = $row['p2c'];
    $region = $row['region'];
    $province = $row['province'];
    $zone = $row['zone'];
    // Retrieve POST data and sanitize
    $teens1 = filter_input(INPUT_POST, 'teens1', FILTER_SANITIZE_NUMBER_INT);
    $teens2 = filter_input(INPUT_POST, 'teens2', FILTER_SANITIZE_NUMBER_INT);

    if ($teens1 === null || $teens2 === null) {
        throw new Exception("Invalid input data.");
    }

    $date = date('h:i:s - d/m/Y');
    $year = date('Y');
    $p2c_new = $p2c + $teens1 + $teens2;

    // Check if the new total matches the expected value
    if ($p2 == $p2c_new) {
        // Update registration table
        $update_stmt = $conn->prepare("UPDATE registration SET p2c = :p2c_new WHERE password = :password");
        $update_stmt->bindParam(':p2c_new', $p2c_new, PDO::PARAM_INT);
        $update_stmt->bindParam(':password', $alert, PDO::PARAM_STR);
        $update_stmt->execute();

        // Insert into teens table
        $insert_stmt = $conn->prepare("INSERT INTO teens (teens1, teens2, zone, region, province, password, date, year) 
        VALUES (:teens1, :teens2, :zone, :region, :province, :password, :date, :year)");

        $insert_stmt->bindParam(':teens1', $teens1, PDO::PARAM_INT);
        $insert_stmt->bindParam(':teens2', $teens2, PDO::PARAM_INT);
        $insert_stmt->bindParam(':zone', $zone, PDO::PARAM_STR); // FIXED: Changed to PARAM_STR
        $insert_stmt->bindParam(':region', $region, PDO::PARAM_STR);
        $insert_stmt->bindParam(':province', $province, PDO::PARAM_STR);
        $insert_stmt->bindParam(':password', $alert, PDO::PARAM_STR);
        $insert_stmt->bindParam(':date', $date, PDO::PARAM_STR);
        $insert_stmt->bindParam(':year', $year, PDO::PARAM_STR);
        $insert_stmt->execute();

        // Redirect with success message
        echo "<script type='text/javascript'>alert('Congratulations! Form Completed...Press OK to CONTINUE');location.href='teens.php';</script>";
    } else {
        // Redirect with error message
        echo "<script type='text/javascript'>alert('Sorry! We can\'t process your forms...Press OK to CONTINUE');location.href='teens.php';</script>";
    }
} catch (Exception $e) {
    echo "<script type='text/javascript'>alert('Error: " . $e->getMessage() . "');location.href='teens.php';</script>";
}

// Close connection
$conn = null;
