<?php
require 'conn.php'; // Include database connection

// Get the input data
$id = $_POST['id'];

try {
    $conn->beginTransaction(); // Start transaction

    // Get the related registration record
    $query = "SELECT password FROM teens WHERE id = ?";
    $stmt = $conn->prepare($query);
    $stmt->execute([$id]);
    $reg = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($reg) {
        $password = $reg['password'];

        // Get p1, p2, p3 values and the registration ID from the registration table
        $regQuery = "SELECT id, p1, p2, p3 FROM registration WHERE password = ?";
        $regStmt = $conn->prepare($regQuery);
        $regStmt->execute([$password]);
        $regData = $regStmt->fetch(PDO::FETCH_ASSOC);

        if ($regData) {
            $reg_id = $regData['id'];
            $p1 = $regData['p1'];
            $p2 = $regData['p2'];
            $p3 = $regData['p3'];

            // Delete the record from the `teens` table
            $deleteStmt = $conn->prepare("DELETE FROM teens WHERE id = ?");
            $deleteStmt->execute([$id]);

            if ($deleteStmt->rowCount() > 0) {
                if ($p2 > 0 && $p1 == 0 && $p3 == 0) {
                    // Delete associated records in all related tables
                    $deleteReg = $conn->prepare("DELETE FROM registration WHERE password = ?");
                    $deleteBank = $conn->prepare("DELETE FROM bank WHERE rrr = ?");
                    $deleteteens = $conn->prepare("DELETE FROM teens WHERE password = ?");
                    $deleteSlip = $conn->prepare("DELETE FROM slip WHERE teller_number = ?");

                    $deleteReg->execute([$password]);
                    $deleteBank->execute([$password]);
                    $deleteteens->execute([$password]);
                    $deleteSlip->execute([$password]);

                    $conn->commit(); // Commit all changes
                    echo json_encode(['success' => true, 'message' => 'All associated records deleted successfully.']);
                } else {
                    // If condition is not met, just update p1c to 0 in the `registration` table
                    $updateStmt = $conn->prepare("UPDATE registration SET p2c = 0 WHERE id = ?");
                    $updateStmt->execute([$reg_id]);

                    if ($updateStmt->rowCount() > 0) {
                        $conn->commit(); // Commit transaction
                        echo json_encode(['success' => true, 'message' => 'Teens registered has being deleted from the registration record successfully.']);
                    } else {
                        $conn->rollBack(); // Rollback transaction
                        echo json_encode(['success' => false, 'message' => 'Update failed: No matching record found in registration table.']);
                    }
                }
            } else {
                $conn->rollBack(); // Rollback transaction
                echo json_encode(['success' => false, 'message' => 'Record not found in teens table.']);
            }
        } else {
            $conn->rollBack(); // Rollback transaction
            echo json_encode(['success' => false, 'message' => 'No matching registration record found.']);
        }
    } else {
        $conn->rollBack(); // Rollback transaction
        echo json_encode(['success' => false, 'message' => 'No associated registration record found in teens table.']);
    }
} catch (PDOException $e) {
    $conn->rollBack(); // Rollback on error
    echo json_encode(['success' => false, 'message' => 'Error: ' . $e->getMessage()]);
}
?>
