<?php
require 'conn.php'; // Include database connection

// Get the input data
$id = $_POST['id'];
$children1 = $_POST['children1'];
$children2 = $_POST['children2'];
$children3 = $_POST['children3'];
$password = $_POST['password'];

try {
    // Fetch the p1 value from the registration table
    $stmt = $conn->prepare("SELECT p1 FROM registration WHERE password = ?");
    $stmt->execute([$password]);
    $registration = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($registration) {
        // Check if the total matches p1
        $total = $children1 + $children2 + $children3;
        if ($total != $registration['p1']) {
            echo json_encode(['success' => false, 'message' => 'Total does not match the registration record.']);
            exit;
        }

        // Update the children table
        $update_stmt = $conn->prepare("UPDATE children SET children1 = ?, children2 = ?, children3 = ? WHERE id = ?");
        $update_stmt->execute([$children1, $children2, $children3, $id]);

        // Check if the update was successful
        if ($update_stmt->rowCount() > 0) {
            echo json_encode(['success' => true, 'message' => 'Record updated successfully.']);
        } else {
            echo json_encode(['success' => false, 'message' => 'No changes made or record not found.']);
        }
    } else {
        echo json_encode(['success' => false, 'message' => 'Registration record not found.']);
    }
} catch (PDOException $e) {
    echo json_encode(['success' => false, 'message' => 'Error: ' . $e->getMessage()]);
}
?>
