<?php
require 'conn.php'; // Include database connection

// Get the input data
$id = $_POST['id'];
$teens1 = $_POST['teens1'];
$teens2 = $_POST['teens2'];

$password = $_POST['password'];

try {
    // Fetch the p1 value from the registration table
    $stmt = $conn->prepare("SELECT p2 FROM registration WHERE password = ?");
    $stmt->execute([$password]);
    $registration = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($registration) {
        // Check if the total matches p1
        $total = $teens1 + $teens2 ;
        if ($total != $registration['p2']) {
            echo json_encode(['success' => false, 'message' => 'Total does not match the registration record.']);
            exit;
        }

        // Update the teens table
        $update_stmt = $conn->prepare("UPDATE teens SET teens1 = ?, teens2 = ? WHERE id = ?");
        $update_stmt->execute([$teens1, $teens2, $teens3, $id]);

        // Check if the update was successful
        if ($update_stmt->rowCount() > 0) {
            echo json_encode(['success' => true, 'message' => 'Record updated successfully.']);
        } else {
            echo json_encode(['success' => false, 'message' => 'No changes made or record not found.']);
        }
    } else {
        echo json_encode(['success' => false, 'message' => 'Registration record not found.']);
    }
} catch (PDOException $e) {
    echo json_encode(['success' => false, 'message' => 'Error: ' . $e->getMessage()]);
}
?>
