<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

// Include database connection
require_once 'conn.php';

// Define valid departments
$departments = [ /* Your departments here */ ];

if (isset($_POST['submit'])) {
    if (is_uploaded_file($_FILES['csv_file']['tmp_name'])) {
        $csv_file = fopen($_FILES['csv_file']['tmp_name'], 'r');

        // Skip the first line if it contains column headers
        fgetcsv($csv_file);

        try {
            // Prepare statements
            $insert_stmt = $conn->prepare("INSERT INTO teachers (firstname, lastname, phone, department, gender, region, province, password, date, year) VALUES (:firstname, :lastname, :phone, :department, :gender, :region, :province, :password, :date, :year)");
            $update_stmt = $conn->prepare("UPDATE registration SET p3c = :p3c WHERE password = :alert");
            $p3c_stmt = $conn->prepare("SELECT p3c FROM registration WHERE password = :alert");

            while (($row = fgetcsv($csv_file)) !== false) {
                list($firstname, $lastname, $phone, $department, $gender, $region, $province, $password) = $row;
                $year = date('Y');
                $date = date('Y-m-d');

                if (!in_array($department, $departments)) {
                    echo "<script>alert('Invalid department \"$department\" in CSV.');</script>";
                    continue;
                }

                if ($department == "Teaching (Toddlers Age 1-3)") {
                    $p3c_stmt->bindParam(':alert', $password, PDO::PARAM_STR);
                    $p3c_stmt->execute();
                    $p3c_data = $p3c_stmt->fetch(PDO::FETCH_ASSOC);

                    if (isset($p3c_data['p3c'])) {
                        $p3c = $p3c_data['p3c'];
                        $p3c_new = $p3c + 1;

                        $count_stmt = $conn->prepare("SELECT COUNT(*) AS department_count FROM teachers WHERE department = :department");
                        $count_stmt->bindParam(':department', $department, PDO::PARAM_STR);
                        $count_stmt->execute();
                        $count_data = $count_stmt->fetch(PDO::FETCH_ASSOC);
                        $department_count = $count_data['department_count'];

                        if ($department_count < 300) {
                            $update_stmt->bindParam(':p3c', $p3c_new, PDO::PARAM_INT);
                            $update_stmt->bindParam(':alert', $password, PDO::PARAM_STR);
                            $update_stmt->execute();

                            $insert_stmt->bindParam(':firstname', $firstname, PDO::PARAM_STR);
                            $insert_stmt->bindParam(':lastname', $lastname, PDO::PARAM_STR);
                            $insert_stmt->bindParam(':phone', $phone, PDO::PARAM_STR);
                            $insert_stmt->bindParam(':department', $department, PDO::PARAM_STR);
                            $insert_stmt->bindParam(':gender', $gender, PDO::PARAM_STR);
                            $insert_stmt->bindParam(':region', $region, PDO::PARAM_STR);
                            $insert_stmt->bindParam(':province', $province, PDO::PARAM_STR);
                            $insert_stmt->bindParam(':password', $password, PDO::PARAM_STR);
                            $insert_stmt->bindParam(':date', $date, PDO::PARAM_STR);
                            $insert_stmt->bindParam(':year', $year, PDO::PARAM_INT);

                            if (!$insert_stmt->execute()) {
                                $error = $insert_stmt->errorInfo();
                                echo "<script>alert('Insert failed: " . $error[2] . "');</script>";
                            }
                        } else {
                            echo "<script>alert('The maximum limit for teachers in \"Teaching (Toddlers Age 1-3)\" department has been reached.');</script>";
                            continue;
                        }
                    } else {
                        echo "<script>alert('The number of teachers does not match the record attached with the provided RRR Code. Teacher records will not be uploaded.');</script>";
                        continue;
                    }
                } else {
                    $insert_stmt->bindParam(':firstname', $firstname, PDO::PARAM_STR);
                    $insert_stmt->bindParam(':lastname', $lastname, PDO::PARAM_STR);
                    $insert_stmt->bindParam(':phone', $phone, PDO::PARAM_STR);
                    $insert_stmt->bindParam(':department', $department, PDO::PARAM_STR);
                    $insert_stmt->bindParam(':gender', $gender, PDO::PARAM_STR);
                    $insert_stmt->bindParam(':region', $region, PDO::PARAM_STR);
                    $insert_stmt->bindParam(':province', $province, PDO::PARAM_STR);
                    $insert_stmt->bindParam(':password', $password, PDO::PARAM_STR);
                    $insert_stmt->bindParam(':date', $date, PDO::PARAM_STR);
                    $insert_stmt->bindParam(':year', $year, PDO::PARAM_INT);

                    if (!$insert_stmt->execute()) {
                        $error = $insert_stmt->errorInfo();
                        echo "<script>alert('Insert failed: " . $error[2] . "');</script>";
                    }
                }
            }

            fclose($csv_file);

            echo "<script>alert('CSV file successfully uploaded and teachers registered.');</script>";
            header("Location: teachers.php");
            exit();
        } catch (PDOException $e) {
            echo "Error: " . $e->getMessage();
            error_log($e->getMessage());
        }
    } else {
        echo "<script>alert('Please upload a valid CSV file.');</script>";
    }
}
?>
